Forum breadcrumbs - You are here:Scenic ForumAll things GPSMinimum iPhone
Please or Register to create posts and topics.

Minimum iPhone

In order to use scenic, I'm planning on buying an iphone, and connecting it to a hot spot on my phone (I'm an android guy...). I'll probably want to jailbreak it (as I'm like that), and I certainly won't want to spend any more money than necessary.

Other Caveats: I'm old, and would prefer a reasonably large screen, although the nature of motorcycle mounts limits this somewhat.

So then, what is the minimum recommended iPhone?

Cheers

I recommend iPhone 8 (plus) or newer. These still run iOS14 and iOS15, have a decent processor, and thus can run Scenic 3.

iOhoen 8 is  oldest model that will also support the upcoming iOS16 so you’ll be somewhat future proof, at least for a year or two.

Regarding jail breaking… not sure what the latest version of iOS is that can be jailbroken now. Make sure it’s iOS14 or newer, otherwise Scenic 3 won’t run. My honest advice… don’t jailbreak. Will cost you a lot of time/effort and maybe frustration (jail breaking is never problem / worry free in my experience, which admitedly is quite some time ago I have to admit), and if that phone is only for navigation anyway… why bother? Just my 2 cents on that 🙂

If you're enjoying Scenic and are happy with the support, please leave a nice rating in the App Store. It would mean a lot to me ❤️

big iphone
older model
hmm, scenic 3 is running on the 5s or better
iphone 5 and below scenic 2 only

alternatively to the big screen ipad mini 4 scenic 3 is also running there, but the wifi version because of gps
quite cheap as an apple device, bigger than the iphones

jailbreak, no
only makes the device slower, less secure
games or apps from the alternative stores (eg cydia) are bugged or contain malware.
the days of harmless, free apps are long gone

You will not find scenic as a free cracked version on the stores😎

just pay and enjoy one of the best navi, then you also have support and safe good software
lifetime license costs as much as 1 set of cheap tires for the bike or 2 small bouquets of flowers for the wife, so not much and it's forever

 

Scenic runs on iPhone 6s running iOS 15.5 with no issues.

So... just to be clear here:

Scenic 3 runs on iOS14 and up, which is supported by iPhone 6s and newer.

HOWEVER... if you are thinking about buying a second hand phone for navigation purposes, I recommend to at least get iPhone 8 or newer. Why?
1) Because it has a faster processor
2) Because iPhone 8 supports the upcoming iOS16
3) With every major update of Scenic I strive to support the current iOS version and the one before that

But indeed... if you have an iPhone 6s lying around, I wouldn't switch to a new iPhone just yet.
Hope this explains a bit more.

This site tells you the max iOS versions that run on each iPhone model: https://iosref.com/ios

If you're enjoying Scenic and are happy with the support, please leave a nice rating in the App Store. It would mean a lot to me ❤️

Guido, thanks for clarification.  I didn't know iOS 16 won't run on iPhone 6s.  I wonder why.  iOS 15.5 runs like a champ on it.

Does Scenic check iOS version and doesn't install/run on the old one?

 

 

Apps contain Code that works as of a certain iOS version. Scenic 3 works on iOS 14 and up. But probably Scenic 4 (in 2 years or so) will work on iOS15 or iOS 16 or so (to make use of the newest iOS features.

If you're enjoying Scenic and are happy with the support, please leave a nice rating in the App Store. It would mean a lot to me ❤️